Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
Get Team
curl --request GET \
  --url https://api.example.com/api/v1/teams/{team_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "team_type": "<string>",
  "display_name": "<string>",
  "status": "<string>",
  "tier": "<string>",
  "operation_mode": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "members": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "agent_slug": "<string>",
      "display_name": "<string>",
      "capabilities": [
        "<string>"
      ],
      "hired_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "persona_name": "<string>",
      "agent_classes": [
        "<string>"
      ],
      "current_activity": {}
    }
  ],
  "workflow_phase": "onboarding",
  "workflow_phase_label": "Setting Up",
  "default_currency": "USD",
  "auto_config": {},
  "orchestrator_cadence": {},
  "content_strategy": {},
  "stripe_subscription_id": "<string>",
  "config": {},
  "onboarding_step": "pending",
  "connected_accounts": [],
  "brand_kit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "brand_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "brand_name": "<string>",
  "hired_at": "2023-11-07T05:31:56Z",
  "paused_at": "2023-11-07T05:31:56Z",
  "cancelled_at": "2023-11-07T05:31:56Z",
  "subscription_ends_at": "2023-11-07T05:31:56Z",
  "recent_activity": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
team_type
string
required
display_name
string
required
status
string
required
tier
string
required
operation_mode
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
members
TeamMemberResponse · object[]
required
workflow_phase
string
default:onboarding
workflow_phase_label
string
default:Setting Up
default_currency
string
default:USD
auto_config
Auto Config · object
orchestrator_cadence
Orchestrator Cadence · object
content_strategy
Content Strategy · object
stripe_subscription_id
string | null
config
Config · object
onboarding_step
string
default:pending
connected_accounts
string[]
brand_kit_id
string<uuid> | null
brand_id
string<uuid> | null
brand_name
string | null
hired_at
string<date-time> | null
paused_at
string<date-time> | null
cancelled_at
string<date-time> | null
subscription_ends_at
string<date-time> | null
recent_activity
TeamAuditLogResponse · object[]